Bug 891350 - Use virt-resize on disk images instead of just manually extending the raw disk and using resize2fs directly
Use virt-resize on disk images instead of just manually extending the raw dis...
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
2.0 (Folsom)
Unspecified Unspecified
medium Severity unspecified
: beta
: ---
Assigned To: Pádraig Brady
Jaroslav Henner
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2013-01-02 11:51 EST by Perry Myers
Modified: 2016-01-04 09:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-06-18 12:50:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Perry Myers 2013-01-02 11:51:56 EST
Description of problem:
Currently Nova extends only raw disk images and can on deal with resizing partitions of type ext2/3/4 (or unpartitioned space).

If we utilize virt-resize from libguestfs we can handle resizing VGs/LVM and other types of filesystems.

virt-resize also does better error checking to make sure the operation succeeded.
Comment 1 seth vidal 2013-02-22 01:43:34 EST
looking in folsom - it seems like qcow2 and raw images get extended - but unless we have an initramfs doing a growroot then it won't work w/o a reboot of the instance.
Comment 2 Pádraig Brady 2013-04-02 12:45:24 EDT
Upstream are leaning towards (newer) cloud-init doing this within the image,
rather than externally with virt-resize.
Comment 4 Pádraig Brady 2013-06-18 12:50:51 EDT
For more concrete details on using cloud-utils to auto resize from within the guest on boot, see:

Note You need to log in before you can comment on or make changes to this bug.